%define	module	Lingua-Stem
%define	name	perl-%{module}
%define	version	0.70
%define	release	1mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/
Requires:	perl
BuildRequires:	perl-devel
BuildRequires:	perl-Lingua-PT-Stemmer
BuildRequires:	perl-Lingua-Stem-It
BuildRequires:	perl-Lingua-Stem-Snowball-Da
BuildRequires:	perl-Lingua-Stem-Snowball-No
BuildRequires:	perl-Lingua-Stem-Snowball-Se perl-Text-German
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
#%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua/Stem/Da.pm
%{perl_vendorlib}/Lingua/Stem/De.pm
%{perl_vendorlib}/Lingua/Stem/En.pm
%{perl_vendorlib}/Lingua/Stem/Gl.pm
%{perl_vendorlib}/Lingua/Stem/No.pm
%{perl_vendorlib}/Lingua/Stem/Pt.pm
%{perl_vendorlib}/Lingua/Stem/Sv.pm
%{perl_vendorlib}/Lingua/Stem/EnBroken.pm
%{perl_vendorlib}/Lingua/Stem/AutoLoader.pm
%{perl_vendorlib}/Lingua/Stem.pm
%{_mandir}/man3*/*

%changelog
* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- 0.70
- fix buildrequires
- drop PREFIX
- use %%makeinstall_std macro
- cosmetics
- drop test for now

* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-1mdk
- initial cooker contrib.
